import React, { useState, useEffect } from 'react';
import { Checkbox, Empty } from 'antd';
import styles from './checkBox.less';
const CheckList = props => {
  const { info, valueCallback, nodeType } = props;
  console.log(info, 'info');
  const [list, setList] = useState([]);
  const [checkList, setCheckList] = useState([]);
  const [flag, setFlag] = useState(false);
  const a = 'a';
  useEffect(() => {
    if (info.pageUrl) {
      let arr = [...info.relatedRoleList];
      let arr2 = [];
      arr.map(item => {
        if (item.related) {
          arr2.push(item.relatedRoleCode);
        }
      });
      console.log(arr2, 'arr2');

      setCheckList(arr2);
      setList(arr);
      setFlag(true);
    }
    return () => {
      setFlag(false);
      setCheckList([]);
    };
  }, [info]);

  const handleSelect = (e, val) => {
    console.log(e.target, 'e', val);
    let arr = [];
    list.forEach(item => {
      if (item.relatedRoleCode === val) {
        item.related = e.target.checked;
      }
    });
    setList([...list]);
    valueCallback(list);
  };
  return (
    <div>
      {nodeType === 3 || nodeType === 4 ? (
        <div className={styles.box}>
          {/* <Checkbox>全选/反选</Checkbox> */}

          {list &&
            list.length > 0 &&
            list.map(item => (
              <div key={item.relatedRoleCode} className={styles.check}>
                <Checkbox
                  checked={item.related}
                  onChange={e => {
                    handleSelect(e, item.relatedRoleCode);
                  }}
                >
                  {item.relatedRoleName}
                </Checkbox>
              </div>
            ))}
        </div>
      ) : (
        <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} />
      )}
    </div>
  );
};

export default CheckList;
